package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DstatiPianificFerieCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 1574357390L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdStatoPianificFerie;

	private StringFilter codiStatoPianificazione;

	private StringFilter descStatoPianificazione;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdStatoPianificFerie
	 */
	public LongFilter getSequIdStatoPianificFerie() {
		return this.sequIdStatoPianificFerie;
	}

	/**
	 * @param sequIdStatoPianificFerie to set
	 */
	public void setSequIdStatoPianificFerie(LongFilter sequIdStatoPianificFerie) {
		this.sequIdStatoPianificFerie = sequIdStatoPianificFerie;
	}

	/**
	 * @return the codiStatoPianificazione
	 */
	public StringFilter getCodiStatoPianificazione() {
		return this.codiStatoPianificazione;
	}

	/**
	 * @param codiStatoPianificazione to set
	 */
	public void setCodiStatoPianificazione(StringFilter codiStatoPianificazione) {
		this.codiStatoPianificazione = codiStatoPianificazione;
	}

	/**
	 * @return the descStatoPianificazione
	 */
	public StringFilter getDescStatoPianificazione() {
		return this.descStatoPianificazione;
	}

	/**
	 * @param descStatoPianificazione to set
	 */
	public void setDescStatoPianificazione(StringFilter descStatoPianificazione) {
		this.descStatoPianificazione = descStatoPianificazione;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
